Merge pull request #235 from cmurphy/rspec
[puppet_vcsrepo.git] / Gemfile
1 source ENV['GEM_SOURCE'] || "https://rubygems.org"
2
3 group :development, :unit_tests do
4   gem 'rake',                    :require => false
5   gem 'rspec-core', '3.1.7',     :require => false
6   gem 'rspec-puppet', '~> 1.0',  :require => false
7   gem 'puppetlabs_spec_helper',  :require => false
8   gem 'puppet-lint',             :require => false
9   gem 'simplecov',               :require => false
10   gem 'puppet_facts',            :require => false
11   gem 'json',                    :require => false
12 end
13
14 group :system_tests do
15   gem 'beaker-rspec',  :require => false
16   gem 'serverspec',    :require => false
17 end
18
19 if facterversion = ENV['FACTER_GEM_VERSION']
20   gem 'facter', facterversion, :require => false
21 else
22   gem 'facter', :require => false
23 end
24
25 if puppetversion = ENV['PUPPET_GEM_VERSION']
26   gem 'puppet', puppetversion, :require => false
27 else
28   gem 'puppet', :require => false
29 end
30
31 # vim:ft=ruby